CREATE PROCEDURE GET_REPRESENTANTE_LEGAL
@ID INT,
@PATERNO VARCHAR(30),
@MATERNO VARCHAR(30),
@NOMBRES VARCHAR(30)
AS BEGIN
SELECT
    *
FROM
  REPRESENTANTE_LEGAL L
WHERE
	(@ID is NULL OR L.ID = @ID) AND
	(@PATERNO is NULL OR L.PATERNO = @PATERNO) AND
	(@MATERNO is NULL OR L.MATERNO = @MATERNO) AND
	(@NOMBRES is NULL OR L.NOMBRES = @NOMBRES) 
END
